@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.medias.models.index') }}">Mídias</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Mídias <small>Models relacionados</small></h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.medias.models.index') }}" class="btn">Cancelar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    @include('manager::inc.messages')

    <form action="{{ $edit ? route('manager.medias.models.update', $mediaModel->id) : route('manager.medias.models.store') }}" method="post" id="form-media-models" class="form-horizontal">
        @if ($edit)
            <input type="hidden" name="_method" value="put">
        @endif

        <fieldset>
            <div class="form-group">
                <label for="page_title" class="col-sm-2 control-label">Página</label>

                <div class="col-sm-8">
                    <input type="text" name="page_title" id="page_title" class="form-control" value="{{ $mediaModel->page_title }}" maxlength="255" placeholder="Ex: Notícias" autofocus required />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="form-group">
                <label for="model" class="col-sm-2 control-label">Model</label>

                <div class="col-sm-8">
                    <input type="text" name="model" id="model" class="form-control" value="{{ $mediaModel->model }}" required maxlength="255" />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="form-group">
                <label for="model_title" class="col-sm-2 control-label">Título</label>

                <div class="col-sm-8">
                    <input type="text" name="model_title" id="model_title" class="form-control" value="{{ $mediaModel->model_title }}" maxlength="255" placeholder="Ex: title ou name" />
                    <span class="help-block">Nome do atributo de título do model</span>
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="form-group">
                <label for="model_route" class="col-sm-2 control-label">Rota</label>

                <div class="col-sm-8">
                    <input type="text" name="model_route" id="model_route" class="form-control" value="{{ $mediaModel->model_route }}" maxlength="255" placeholder="Ex: manager.noticias.index" />
                    <span class="help-block">Nome da rota para os botões de voltar</span>
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="form-actions">
                <div class="col-sm-offset-2 col-sm-10">
                    <button type="submit" class="btn btn-primary">Salvar</button>
                </div>
            </div><!-- .form-actions -->
        </fieldset>
    </form>
@stop
