<?php namespace EscapeWork\Manager\Medias\Repositories\Media;

use Mockery as m;

class EloquentMediaRepositoryTest extends \PHPUnit_Framework_TestCase
{

    public function setUp()
    {
        $this->media          = m::mock('EscapeWork\Manager\Medias\Models\Media');
        $this->mediaModelSize = m::mock('EscapeWork\Manager\Medias\Models\MediaModelSize');

        $this->repo = new EloquentMediaRepository($this->media, $this->mediaModelSize);
    }

    public function test_get_directory()
    {
        $this->media->shouldReceive('dir')->once()->andReturn('');

        $this->repo->getDirectory();
    }

    public function test_get_model_medias()
    {
        $this->media->shouldReceive('mediaModelFilter')->once()->withNoArgs()->andReturn($this->media);
        $this->media->shouldReceive('orderBy')->once()->with('order')->andReturn($this->media);
        $this->media->shouldReceive('orderBy')->once()->with('created_at', 'DESC')->andReturn($this->media);
        $this->media->shouldReceive('get')->once()->withNoArgs()->andReturn([]);

        $this->assertCount(0, $this->repo->getModelMedias());
    }
}
